CMeans Class Reference

`#include <mia/core/cmeans.hh>`

## Data Structures

class | Initializer
class | SparseProbmap

## Public Types

typedef std::vector< double > | DVector
typedef std::vector< std::pair< double, double > > | NormalizedHistogram
typedef std::shared_ptr< Initializer > | PInitializer
typedef CSparseHistogram::Compressed | SparseHistogram

## Public Member Functions

| CMeans (double epsilon, PInitializer class_center_initializer)
SparseProbmap | run (const SparseHistogram &histogram, DVector &class_centers) const
SparseProbmap | run (const SparseHistogram &histogram, DVector &class_centers, bool de_normalize_results) const
| ~CMeans ()

## Detailed Description

Definition at line 30 of file cmeans.hh.

## Member Typedef Documentation

## DVector

typedef std::vector<double> CMeans::DVector

Definition at line 33 of file cmeans.hh.

## NormalizedHistogram

typedef std::vector<std::pair<double, double> > CMeans::NormalizedHistogram

Definition at line 35 of file cmeans.hh.

## PInitializer

typedef std::shared_ptr<Initializer> CMeans::PInitializer

Definition at line 99 of file cmeans.hh.

## SparseHistogram

typedef CSparseHistogram::Compressed CMeans::SparseHistogram

Definition at line 34 of file cmeans.hh.

## Constructor & Destructor Documentation

## CMeans()

CMeans::CMeans | ( | double | epsilon,
|  | PInitializer | class_center_initializer )

## ~CMeans()

CMeans::~CMeans | ( |  | ) |

## Member Function Documentation

## run() [1/2]

SparseProbmap CMeans::run | ( | const SparseHistogram & | histogram,
|  | DVector & | class_centers ) const

## run() [2/2]

SparseProbmap CMeans::run | ( | const SparseHistogram & | histogram,
|  | DVector & | class_centers,
|  | bool | de_normalize_results ) const

The documentation for this class was generated from the following file:

- cmeans.hh